import { defineConfig } from "drizzle-kit";
import { env } from "./src/lib/env";

// @ts-expect-error - Polyfill for BigInt serialization
BigInt.prototype.toJSON = function () {
    return this.toString();
};

export default defineConfig({
    schema: "./src/db/schema.ts",
    out: "./drizzle",
    dialect: "postgresql",
    dbCredentials: {
        url: env.DATABASE_URL,
    },
});
